package com.oguerreiro.resilient.service.dto.activity;

import java.io.Serializable;

import jakarta.validation.constraints.NotNull;

public class ActivityProgressDTO implements Serializable {
	@NotNull
	private Integer progressPercentage;
	@NotNull
	private String progressTask;
	
	public Integer getProgressPercentage() {
		return progressPercentage;
	}

	public void setProgressPercentage(Integer progressPercentage) {
		this.progressPercentage = progressPercentage;
	}
	
    public String getProgressTask() {
		return progressTask;
	}

	public void setProgressTask(String progressTask) {
		this.progressTask = progressTask;
	}

	// prettier-ignore
    @Override
    public String toString() {
        return "ActivityProgressDTO{" +
            "progressPercentage=" + getProgressPercentage() +
            "progressTask=" + getProgressTask() +
            "}";
    }
	
}
